summaryrefslogtreecommitdiffstats
path: root/src/etc/rc.dumpon
diff options
context:
space:
mode:
Diffstat (limited to 'src/etc/rc.dumpon')
-rwxr-xr-xsrc/etc/rc.dumpon30
1 files changed, 30 insertions, 0 deletions
diff --git a/src/etc/rc.dumpon b/src/etc/rc.dumpon
new file mode 100755
index 0000000..1ad40bb
--- /dev/null
+++ b/src/etc/rc.dumpon
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Based on:
+# FreeBSD: src/etc/rc.d/dumpon,v 1.12.2.1.4.1 2010/06/14 02:09:06 kensmith Exp
+
+# dumpon
+
+dumpon_try()
+{
+ if /sbin/dumpon "${1}" ; then
+ # Make a symlink in devfs for savecore
+ echo "Using ${1} for dump device."
+ ln -fs "${1}" /dev/dumpdev
+ return 0
+ fi
+ echo "Unable to specify $1 as a dump device."
+ return 1
+}
+
+# Enable dumpdev so that savecore can see it. Enable it
+# early so a crash early in the boot process can be caught.
+#
+while read dev mp type more ; do
+ [ "${type}" = "swap" ] || continue
+ [ -c "${dev}" ] || continue
+ dumpon_try "${dev}" && works=true
+done </etc/fstab
+if [ "${works}" != "true" ]; then
+ echo "No suitable dump device was found." 1>&2
+ exit
+fi \ No newline at end of file
OpenPOWER on IntegriCloud